; ===========================
; Jupiter's Custom State  File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: P2 States for Jupiter
; ===========================

;=====================
;THROWN BY GIANT SWING
;=====================
[Statedef 1042]
type = A
movetype = H
physics = N
velset = 0,0
ctrl = 0

[State 1042, Thrown Anim]
type = ChangeAnim2
value = 1043
trigger1 = Anim != 1043

[State 1042, AngleSet]
type = AngleSet
trigger1 = 1
value = 90

[State 1042, AngleDraw]
type = AngleDraw
trigger1 = Time >= 30

[State 1042, Go Flying]
type = ChangeState
value = 1043
trigger1 = AnimTime = 0

[Statedef 1043]
type = A
movetype = H
physics = A
velset = -10, -7

[State 1043, ChangePos]
type = PosSet
trigger1 = Time = 0
;X = (enemyNear, Pos X) - 34
;Y = (enemyNear, Pos Y) - 96
X = enemyNear, Pos X
Y = 0

[State 803, Died]
type = SelfState
value = 5050
trigger1 = Life <= 0

[State 803, Recover]
type = SelfState
value = 5050
trigger1 = Life > 0

;===================
;THROWN BY POWERBOMB
;===================
[Statedef 802]
type = A
movetype = H
physics = N
velset = 0,0
ctrl = 0

[State 802, Turn]
type = Turn
trigger1 = Time = 0
trigger1 = P2Dist X < 0

[State 802, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 0

[State 802, Thrown Anim]
type = ChangeAnim2
value = 802
trigger1 = Anim != 802

[State 802, Crush Sound]
type = PlaySnd
value = F5,4
trigger1 = AnimElem = 5

[State 802, Go Flying]
type = ChangeState
value = 803
trigger1 = AnimElem = 6

[Statedef 803]
type = A
movetype = H
physics = A
velset = -3, -10

[State 803, Died]
type = SelfState
value = 5050
trigger1 = Life <= 0

[State 803, Recover]
type = SelfState
value = 50
ctrl = 1
trigger1 = StateTime > 40

;=======================
;THROWN BY AIR POWERBOMB
;=======================
[Statedef 806]
type = A
movetype = H
physics = N
ctrl = 0

[State 806, Stop]
type = VelSet
trigger1 = 1
X = 0
Y = 0

[State 806, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 0

[State 806, Thrown Anim]
type = ChangeAnim2
value = 805
trigger1 = Anim != 806

[State 806, Crush Sound]
type = PlaySnd
value = F5,4
trigger1 = Anim = 805
trigger1 = enemyNear, Vel Y = 0

[State 806, Thrown Anim]
type = ChangeAnim2
value = 806
trigger1 = Anim = 805
trigger1 = enemyNear, Vel Y = 0

[State 806, Go Flying]
type = ChangeState
value = 803
trigger1 = AnimTime = 0
trigger1 = Anim = 806

;==============================
;HIT BY JUPITER OAK EVOLUTION Y
;==============================
[Statedef 1002]
type    = S
movetype= H
physics = N
velset = 0,0

[State 1002, PalFX]
type = PalFX
trigger1 = Time = 0
trigger1 = !SelfAnimExist(7696)
time = 50
add = 40, 40, 80

[State 5000, 1] ;Anim for HIT_LIGHT to HIT_HARD
type = ChangeAnim
trigger1 = Time = 0
trigger1 = GetHitVar(animtype) != [3,5]
value = ifelse((GetHitVar(groundtype) = 1),5000,5010) + GetHitVar(animtype)

[State 5000, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
trigger1 = GetHitVar(animtype) = [3,5]
value = 5030

[State 5000, 3] ;Anim for HIT_UP/HIT_DIAGUP (only if it exists)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = (GetHitVar(animtype) = [4,5]) && (SelfAnimExist(5047 + GetHitVar(animtype)))
value = 5047 + GetHitVar(animtype) ;5051 - 4 + type

[State 5000, Shocked]
; Electrocution support
type = ChangeAnim
trigger1 = SelfAnimExist(7696)
trigger1 = Anim != 7696
value = 7696

[State 5000, 3] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5000, 4] ;State type gets set to aerial if getting hit up
type = StateTypeSet
trigger1 = Time = 0
trigger1 = GetHitVar(yvel) != 0 && GetHitVar(fall)
trigger2 = Pos Y != 0
value = a

[State 5000, 6]
type = ChangeState
trigger1 = HitShakeOver
value = 1003

[State 5000, FFB Light]
type = ForceFeedback
trigger1 = anim = 5000
trigger2 = anim = 5010
persistent = 0
time = 6
waveform = square

[State 5000, FFB Medium]
type = ForceFeedback
trigger1 = anim = 5001
trigger2 = anim = 5011
persistent = 0
time = 8
waveform = sinesquare
ampl = 110,-1,-.3

[State 5000, FFB Hard]
type = ForceFeedback
trigger1 = anim = 5012
trigger2 = anim = 5002
trigger3 = anim = 5030
persistent = 0
time = 15
waveform = sinesquare
ampl = 140

[Statedef 1003]
type    = A
movetype= H
physics = N
ctrl = 0

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 2]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 5030, 4]
type = ChangeState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 1005 ;HITA_FALL

[State 5030, 5]
type = ChangeState
trigger1 = AnimTime = 0
trigger1 = Anim != 7696
value = 1004 ;HITA_UP (transition)

[Statedef 1004]
type    = A
movetype= H
physics = N

[State 5035, 1]
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5035)
trigger1 = Anim != [5051,5059] ;Not if in hit up anim
trigger1 = Anim != 5090 ;Not if hit off ground anim
value = 5035

[State 5035, 2]
type = VelAdd
trigger1 = 1
y = GetHitVar(yaccel)

[State 5035, 4]
type = ChangeState
triggerall = HitFall
trigger1 = HitOver  ;Hit is over
trigger2 = AnimTime = 0 ;Anim is over
trigger3 = Vel Y > 0    ;Hit ground
trigger3 = Pos Y >= 10  ;.
trigger4 = Time = 0     ;No transition anim
trigger4 = Anim != 5035 ;.
value = 1005 ;HITA_FALL

[Statedef 1005]
type    = A
movetype= H
physics = N

[State 5050, 1] ;Change anim when done with transition
type = ChangeAnim
triggerall = Anim != 7696
trigger1 = AnimTime = 0
trigger1 = Anim = 5035
trigger2 = Time = 0     ;If no transition anim
trigger2 = Anim != 5035
trigger2 = (Anim != [5051, 5059]) && (Anim != [5061, 5069])
trigger2 = Anim != 5090 ;Not if hit off ground anim
value = 5050

[State 5050, 2] ;Coming down anim
type = ChangeAnim
triggerall = Anim != 7696
trigger1 = anim = [5050,5059]
trigger1 = Vel Y >= ifelse(anim = 5050, 1, -2)
trigger1 = SelfAnimExist(anim+10)
value = anim+10
persistent = 0

[State 5050, 3] ;Gravity
type = VelAdd
trigger1 = 1
y = GetHitVar(yaccel)

[State 5050, 6]
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= ifelse((anim = [5051,5059]) || (anim = [5061,5069]), 0, 25)
value = 5100 ;HIT_BOUNCE
