; ===========================
; Jupiter's Command File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: .CMD file for Jupiter

;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /DB, a   ;hold down-back while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;-| Fatality Motions |-----------------------------------------------------

;-| Super Motions |--------------------------------------------------------
[Command]
name = "lightningstrike"
command = ~D, DB, B, DB, D, DF, F, ~x
time = 45

[Command]
name = "lightningstrike"
command = ~D, DB, B, DB, D, DF, F, ~y
time = 45

[Command]
name = "lightningstrike"
command = ~D, DB, B, DB, D, DF, F, x
time = 45

[Command]
name = "lightningstrike"
command = ~D, DB, B, DB, D, DF, F, y
time = 45

[command]
name = "estd"
command = ~D, DF, F, x+y
time = 30

[command]
name = "estd"
command = ~D, DF, F, z
time = 30

[command]
name = "estd"
command = ~D, DF, F, ~z
time = 30


;-| Special Motions |------------------------------------------------------
[Command]
name = "thunderdragon_x"
command = ~D, DF, F, ~x
time = 30

[Command]
name = "thunderdragon_y"
command = ~D, DF, F, ~y
time = 30

[Command]
name = "thunderdragon_x"
command = ~D, DF, F, x
time = 30

[Command]
name = "thunderdragon_y"
command = ~D, DF, F, y
time = 30

[Command]
name = "fakethunderdragon"
command = ~D, DF, F, s
time = 30

[Command]
name = "fakethunderdragon"
command = ~D, DF, F, ~s
time = 30

[Command]
name = "coconut_x"
command = ~F, DF, D, ~x
time = 30

[Command]
name = "coconut_y"
command = ~F, DF, D, ~y
time = 30

[Command]
name = "coconut_x"
command = ~F, DF, D, x
time = 30

[Command]
name = "coconut_y"
command = ~F, DF, D, y
time = 30

[Command]
name = "fakecoconut"
command = ~F, DF, D, s
time = 30

[Command]
name = "fakecoconut"
command = ~F, DF, D, ~s
time = 30

[Command]
name = "axle_a"
command = ~D, DF, F, ~a
time = 30

[Command]
name = "axle_b"
command = ~D, DF, F, ~b
time = 30

[Command]
name = "axle_a"
command = ~D, DF, F, a
time = 30

[Command]
name = "axle_b"
command = ~D, DF, F, b
time = 30

[Command]
name = "oakevolution_x"
command = ~D, DB, B, ~x
time = 30

[Command]
name = "oakevolution_y"
command = ~D, DB, B, ~y
time = 30

[Command]
name = "oakevolution_x"
command = ~D, DB, B, x
time = 30

[Command]
name = "oakevolution_y"
command = ~D, DB, B, y
time = 30

[Command]
name = "fakeoakevolution"
command = ~D, DB, B, s
time = 30

[Command]
name = "giantswing"
command = ~D, DB, B, a
time = 30

[Command]
name = "giantswing"
command = ~D, DB, B, ~a
time = 30

[Command]
name = "giantswing"
command = ~D, DB, B, b
time = 30

[Command]
name = "giantswing"
command = ~D, DB, B, ~b
time = 30

;-| Strikers/Assists |-----------------------------------------------------

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10
; Dash Forward

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10
; BackDash

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery"
command = x+y
time = 1
; Recover

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "forward_y"
command = /F,y
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "s"
command = s
time = 1

[Command]
name = "up"
command = $U
time = 1

[Command]
name = "releaseup"
command = ~$U
time = 1

; Super Jump
[Command]
name = "superjump"
command = $D, $U
time = 10

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "hold_start"
command = /$s
time = 1
; Charge

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;==========
;FATALITIES
;==========

;============
;HYPER COMBOS
;============
[State -1, Lightning Strike]
type = Changestate
value = 3100
triggerall = command = "lightningstrike"
triggerall = statetype != A
triggerall = power >= 2000
trigger1 = ctrl
trigger2 = stateno < 3000
trigger2 = stateno != [1040,1041]

[State -1, ES Supreme Thunder Dragon]
type = ChangeState
value = 3000
triggerall = command = "estd"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno < 3000
trigger2 = stateno != [1040,1041]

;=============
;SPECIAL MOVES
;=============
[State -1, Giant Swing]
type = ChangeState
value = 1040
triggerall = command = "giantswing"
triggerall = statetype != A
trigger1 = ctrl

[State -1, Jupiter Coconut Cyclone X]
type = ChangeState
value = 1030
triggerall = command = "coconut_x"
triggerall = statetype = A
triggerall = NumHelper(1035) = 0
trigger1 = ctrl
trigger2 = stateno = [500,599]
trigger2 = movecontact

[State -1, Jupiter Coconut Cyclone Y]
type = ChangeState
value = 1031
triggerall = command = "coconut_y"
triggerall = statetype = A
triggerall = NumHelper(1035) = 0
trigger1 = ctrl
trigger2 = stateno = [500,599]
trigger2 = movecontact

[State -1, Jupiter Double Axle A]
type = ChangeState
value = 1020
triggerall = command = "axle_a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

[State -1, Jupiter Double Axle B]
type = ChangeState
value = 1021
triggerall = command = "axle_b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

[State -1, Supreme Thunder Dragon X]
type = ChangeState
value = 1010
triggerall = command = "thunderdragon_x"
triggerall = statetype != A
triggerall = NumProjID(1010) = 0
triggerall = NumProjID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

[State -1, Supreme Thunder Dragon Y]
type = ChangeState
value = 1011
triggerall = command = "thunderdragon_y"
triggerall = statetype != A
triggerall = NumProjID(1010) = 0
triggerall = NumProjID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

[State -1, Jupiter Oak Evolution X]
type = ChangeState
value = 1000
triggerall = command = "oakevolution_x"
triggerall = statetype != A
triggerall = NumProjID(1010) = 0
triggerall = NumProjID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

[State -1, Jupiter Oak Evolution Y]
type = ChangeState
value = 1001
triggerall = command = "oakevolution_y"
triggerall = statetype != A
triggerall = NumProjID(1010) = 0
triggerall = NumProjID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = movecontact

[State -1, Fake Oak Evolution]
type = ChangeState
value = 1102
triggerall = command = "fakeoakevolution"
triggerall = statetype != A
triggerall = NumProjID(1010) = 0
triggerall = NumProjID(1000) = 0
trigger1 = ctrl

;================
;STRIKERS/ASSISTS
;================

;==============
;NORMAL ATTACKS
;==============
[State -1, BackThrow]
type = VarSet
trigger1 = command = "back_y"
trigger1 = P2BodyDist X < 10
trigger1 = ctrl
trigger1 = P2StateType != A
trigger1 = statetype != A
var(2) = 1

[State -1, Throw]
type = ChangeState
value = 801
trigger1 = command = "forward_y" || command = "back_y"
trigger1 = P2BodyDist X < 10
trigger1 = ctrl
trigger1 = P2StateType != A
trigger1 = statetype != A

[State -1, Air Throw]
type = ChangeState
value = 804
trigger1 = command = "forward_y" || command = "back_y"
trigger1 = P2BodyDist X < 10
trigger1 = P2BodyDist Y < 10
trigger1 = ctrl
trigger1 = enemyNear, StateType = A
trigger1 = StateType = A

[State -1, Crouching Jab]
type = ChangeState
value = 400
triggerall = command = "down_x"
triggerall = statetype = C || stateno = 100 || stateno = 105
trigger1 = ctrl

[State -1, Crouching Light Kick]
type = ChangeState
value = 410
triggerall = command = "down_a"
trigger1 = statetype = C || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = movecontact
trigger3 = stateno = 200
trigger3 = movecontact

[State -1, Uppercut]
type = ChangeState
value = 450
triggerall = command = "down_y"
trigger1 = statetype = C || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 410
trigger5 = movecontact

[State -1, MK Uppercut]
type = Null
value = 455
triggerall = command = "down_c"
trigger1 = statetype = C || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 410
trigger5 = movecontact

[State -1, Crouching Heavy Kick]
type = ChangeState
value = 460
triggerall = command = "down_b"
trigger1 = statetype = C || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 410
trigger5 = movecontact

[State -1, Standing Jab]
type = ChangeState
value = 200
trigger1 = command = "x"
trigger1 = statetype = S || stateno = 100 || stateno = 105
trigger1 = ctrl

[State -1, Standing Light Kick]
type = ChangeState
value = 210
triggerall = command = "a"
triggerall = statetype = S || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 400
trigger3 = movecontact

[State -1, Standing Heavy Punch]
type = ChangeState
value = 250
triggerall = command = "y"
trigger1 = statetype = S || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 410
trigger5 = movecontact

[State -1, Standing Heavy Kick]
type = ChangeState
value = 260
triggerall = command = "b"
trigger1 = statetype = S || stateno = 100 || stateno = 105
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 410
trigger5 = movecontact

[State -1, Aerial Light Punch]
type = ChangeState
value = 500
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Aerial Heavy Punch]
type = ChangeState
value = 510
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 500
trigger2 = movecontact
trigger3 = stateno = 520
trigger3 = movecontact

[State -1, Aerial Light Kick]
type = ChangeState
value = 520
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 500
trigger2 = movecontact

[State -1, Aerial Heavy Kick]
type = ChangeState
value = 530
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 500
trigger2 = movecontact
trigger3 = stateno = 520
trigger3 = movecontact
trigger4 = stateno = 510
trigger4 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Super Jump
[State -1, Super Jump]
type = ChangeState
value = 9040
trigger1 = command = "superjump"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "holdup"
trigger2 = stateno = 450
trigger2 = movehit
