; ===========================
; Jupiter's State Override File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: Overrides common states
; ===========================

;---------------------------------------------------------------------------
; STATE 0: STAND
[Statedef 0]
type = S
physics = S
sprpriority = 0

[State 0, 1]
type = ChangeAnim
triggerall = life >= 250
trigger1 = Anim != 0 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 0

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = abs(vel x) < 2
trigger2 = Time = 4
x = 0

[State 0, Tired]
type = ChangeAnim
triggerall = life < 250
trigger1 = Anim != 810 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 810

;====================
;STATE 40: JUMP START
;====================
[Statedef 40]
type    = S
physics = S
anim = 40
ctrl = 0
sprpriority = 1

[State 40, Cancel Jump]
;Goenitz's wind attack cannot be blocked in the air.
type = ChangeState
value = 0
ctrl = 1
trigger1 = var(42) = -1
trigger1 = p2name = "Goenitz"

[State 40, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 40, 2]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 40, 3]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1

[State 40, 4]
type = VelSet
trigger1 = AnimTime = 0
x = ifelse(sysvar(1)=0, const(velocity.jump.neu.x), ifelse(sysvar(1)=1, const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = const(velocity.jump.y)

[State 40, 5]
type = VelSet
trigger1 = AnimTime = 0
trigger1 = prevstateno = 100 ;RUN_FWD
trigger1 = sysvar(1) = 1
x = const(velocity.runjump.fwd.x)

[State 40, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;=================
;STATE 50: JUMP UP
;=================
; Jump Up
[Statedef 50]
type    = A
physics = A

[State 50, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 50, 2]
type = ChangeAnim
trigger1 = Time = 0
value = ifelse((vel x)=0, 41, ifelse((vel x)>0, 42, 43))

[State 50, 3]
type = ChangeAnim
trigger1 = Vel y > -2
trigger1 = SelfAnimExist(anim + 3)
persistent = 0
value = Anim + 3

[State 50, SJ Stuff]
Type = VelAdd
trigger1 = var(40) != 0
trigger1 = command = "holdfwd"
trigger1 = Vel X < 3.5
X = 0.4

[State 50, SJ Stuff]
Type = VelAdd
trigger1 = var(40) != 0
trigger1 = command = "holdback"
trigger1 = Vel X > -3.5
X = -0.4

[State 50, Turn!]
type = Turn
trigger1 = Var(40) != 0
trigger1 = P2Dist X < 0

[State 50, W Jump]
type = VarSet
trigger1 = Var(40) != 0
trigger1 = command = "releaseup"
var(39) = 1

[State 50, W Jump]
type = VarSet
trigger1 = Var(40) != 0
trigger1 = command = "holdup"
trigger1 = var(39) = 1
trigger1 = Pos Y < -35
var(41) = var(41) + 1

[State 50, W Jump]
type = ChangeState
trigger1 = Var(40) != 0
trigger1 = Var(41) = 1
trigger1 = var(39) = 1
trigger1 = command = "holdup"
trigger1 = Pos Y < -35
value = 45

;=======================
;STATE 100: DASH FORWARD
;=======================
[Statedef 100]
type = A
ctrl = 1
anim = 105
physics = A

[State 100, Dash]
type = VelSet
trigger1 = Time = 0
x = const(velocity.run.fwd.x)
y = const(velocity.run.fwd.y)

;===============================
;STATE 101: DASH FORWARD (@ END)
;===============================
[Statedef 101]
type = A
ctrl = 1
anim = 100
physics = A
velset = 5, -4

[State 100, Null]
type = Null
trigger1 = 0

;============================
;STATE 5200: HIT FALL RECOVER
;============================
[Statedef 5200]
type    = A
movetype= H
physics = N
ctrl = 1

[State 5200, 1] ;Change anim if done with transition
type = ChangeAnim
trigger1 = Anim = 5035
trigger1 = AnimTime = 0
value = 5050

[State 5200, 2]
type = VelAdd
trigger1 = 1
y = GetHitVar(yaccel)

[State 5200, 3]
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 10
value = 5201

;========================================
;STATE 5201: HIT FALL RECOVER (on ground)
;========================================
[Statedef 5201]
type    = A
movetype= H
physics = A
anim = 5200
CTRL = 1

[State 5201, 1] ;Turn if not facing opponent
type = Turn
trigger1 = Time = 0
trigger1 = p2dist X < -5

[State 5201, 2]
type = VelSet
trigger1 = Time = 0
x = -.15
y = -3.5

[State 5201, 3]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5201, 4]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 5201, 5] ;Blink white
type = PalFX
trigger1 = Time = 0
time = 3
add = 128,128,128 ;256,256,256

[State 5201, 6]
type = GameMakeAnim
trigger1 = Time = 1
value = 60
pos = 0, 0
under = 1

;================================
;STATE 5210: HIT AIR FALL RECOVER
;================================
[Statedef 5210]
type    = A
movetype= I
physics = N
anim = 5210
ctrl = 1

[State 5210, 1] ;Blink white
type = PalFX
trigger1 = Time = 0
time = 3
add = 128,128,128 ;256,256,256

[State 5210, 1]
type = PosFreeze
trigger1 = Time = 0
value = 4

[State 5210, 2] ;Turn if not facing opponent
type = Turn
trigger1 = Time = 0
trigger1 = p2dist X < -20

[State 5210, 1] 
type = VelMul
trigger1 = Time = 4
x = .8
y = .8

[State 5210, 1]
type = VelAdd
trigger1 = Time = 4
y = -4.5

[State 5210, 1] 
type = VelMul
trigger1 = Time = 4
trigger1 = Vel Y > 0
y = .5

[State 5210, 1]
type = VelAdd
trigger1 = Time = 4
trigger1 = Vel Y > -3
y = -2

[State 5210, 1]
type = VelAdd
trigger1 = Time = 4
trigger1 = Vel Y > -2
y = -1

[State 5210, 2] ;Go up
type = VelAdd
trigger1 = Time = 4
trigger1 = Command = "holdup"
y = -2

[State 5210, 2] ;Go down
type = VelAdd
trigger1 = Time = 4
trigger1 = Command = "holddown"
y = 1.5

[State 5210, 2] ;Go fwd
type = VelMul
trigger1 = Time = 4
trigger1 = Command = "holdfwd"
x = 1

[State 5210, 2] ;Go back
type = VelAdd
trigger1 = Time = 4
trigger1 = Command = "holdback"
x = -1

[State 5210, 3]
type = NotHitBy
trigger1 = Time = 0
value = SCA
time = 15

[State 5210, 4]
type = CtrlSet
trigger1 = Time = 20
value = 1

[State 5210, 5]
type = VelAdd;Gravity
trigger1 = Time >= 4
y = .35

[State 5210, 5] ;Land on ground
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 52 ;JUMP_LAND
ctrl = 1
